Novell Home

CVE-2013-0338

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2013-0338 at MITRE

Description

libxml2 2.9.0 and earlier allows context-dependent attackers to cause a denial of service (CPU and memory consumption) via an XML file containing an entity declaration with long replacement text and many references to this entity, aka "internal entity expansion" with linear complexity.

NVD CVSS v2 Base Score: 4.3 (AV:N/AC:M/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entry: 805233

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7630
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-32bit >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7630
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8714
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-32bit >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-devel-32bit >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8714
SUSE CORE 9 for AMD64 and Intel EM64T
  • libxml2 >= 2.6.7-28.39
  • libxml2-32bit >= 9-201303201706
  • libxml2-devel >= 2.6.7-28.39
Builds
YOU Patch Nr: 12937
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8716
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-32bit >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-devel-32bit >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8716
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • libxml2 >= 2.6.23-15.37.1
  • libxml2-devel >= 2.6.23-15.37.1
  • libxml2-python >= 2.6.23-15.37.1
Builds
ZYPP Patch Nr: 8513
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • libxml2 >= 2.6.23-15.37.1
  • libxml2-32bit >= 2.6.23-15.37.1
  • libxml2-devel >= 2.6.23-15.37.1
  • libxml2-devel-32bit >= 2.6.23-15.37.1
  • libxml2-python >= 2.6.23-15.37.1
Builds
ZYPP Patch Nr: 8513
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • libxml2-test >= 2.6.23-15.37.1
Builds
ZYPP Patch Nr: 8513
SUSE Linux Enterprise Server 10 SP4 for IPF
  • libxml2 >= 2.6.23-15.37.1
  • libxml2-devel >= 2.6.23-15.37.1
  • libxml2-python >= 2.6.23-15.37.1
  • libxml2-x86 >= 2.6.23-15.37.1
Builds
ZYPP Patch Nr: 8513
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • libxml2 >= 2.6.23-15.37.1
  • libxml2-64bit >= 2.6.23-15.37.1
  • libxml2-devel >= 2.6.23-15.37.1
  • libxml2-devel-64bit >= 2.6.23-15.37.1
  • libxml2-python >= 2.6.23-15.37.1
Builds
ZYPP Patch Nr: 8513
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libxml2-devel >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libxml2-devel >= 2.7.6-0.23.1
  • libxml2-devel-32bit >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517
SUSE Linux Enterprise Desktop 11 SP2
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517
SUSE Linux Enterprise Desktop 11 SP2
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-32bit >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-32bit >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517
SUSE Linux Enterprise Server 11 SP2
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
  • libxml2-x86 >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7517

© 2014 Novell